## kchmviewer-trinity 14.0.8

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kchmviewer )
set( VERSION R14.0.8 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_TDE "Build with TDE itegration instead of standalone TQt" ${WITH_ALL_OPTIONS}          )
option( WITH_CHMLIB "Build with external chmlib" ${WITH_ALL_OPTIONS}                                )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( lib )
add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kchmviewer-trinity 3.5.13.2

=== debian/changelog ===
kchmviewer-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 07 Jun 2013 03:08:24 +0200

kchmviewer-trinity (3.1.2-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kchmviewer-trinity (3.1.2-0ubuntu3) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 25 Jun 2009 09:54:00 -0600

kchmviewer (3.1.2-0ubuntu2) intrepid; urgency=low

  * debian/rules: 
    - fix dpatch support
    - fix debian-rules-ignores-make-clean-error lintian warning
  * Add patch fix_gcc4.3.dpatch to fix FTBFS due to gcc 4.3 (LP: #240085)
    Thanks to Chris Lamb <chris@chris-lamb.co.uk>
  * Update debian/watch
  * Bump Standards-Version to 3.8.0:
    - add Homepage: field in debian/control
    - update debian/menu
  * debian/control:
    - fix spelling-error-in-description lintian warning
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 15 Jun 2008 13:11:01 +0200

kchmviewer (3.1.2-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 01 Jul 2007 00:22:53 +0200

kchmviewer (2.7-1ubuntu1) feisty; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/control: Conflict: kchmviewer-nokde
      builds without KDE support
  * Added dpatch to debian/control dependencies to build nokde support

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri,  5 Jan 2007 19:27:31 -0600

kchmviewer (2.7-1) unstable; urgency=low

  * New upstream version
    - Should fix crashes due to bad encoding detection (Closes: #390329)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri,  8 Dec 2006 02:11:46 +0100

kchmviewer (2.7-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Removed obsolete 01_kchmviewwindow_cpp.dpatch

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu,  7 Dec 2006 12:24:41 +0100

kchmviewer (2.6-1) unstable; urgency=low

  * New upstream version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 31 Aug 2006 02:56:52 +0200

kchmviewer (2.6-0ubuntu1) edgy; urgency=low

  * New upstream release.
  * Added a patch for kchvviewwindow.cpp to avoid a compile error when 
    compiling against QT alone.
  * Added a variant kchmviewer-nokde that is built without KDE support.

 -- Ahmed El-Mahmoudy <aelmahmoudy@users.sourceforge.net>  Thu, 31 Aug 2006 15:05:01 +0300

kchmviewer (2.5-2ubuntu1) edgy; urgency=low

  * Rebuild so it doesnt depend on libgamin0

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 18 Jul 2006 20:24:36 -0500

kchmviewer (2.5-2) unstable; urgency=low

  * Fix FTBFS with g++4.1 (Closes: #372168)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 08 Jun 2006 20:08:39 +0200

kchmviewer (2.5-1) unstable; urgency=low

  * New upstream version
  
  * Fix building with g++4.1 (Closes: #356517)

  * Updated to standards version 3.7.2 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 11 May 2006  2:32:41 +0200

kchmviewer (2.0-1) unstable; urgency=low

  * New upstream version (Closes: #353709)
    - included proper icons from upstream :-)

  * Package sponsored by Tommaso Moroni

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon, 20 Feb 2006 22:19:57 +0100

kchmviewer (1.3a-1) unstable; urgency=low

  * First upload to the Archive (Closes: #312700)

  * Package sponsored by Tommaso Moroni

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun,  1 Jan 2006  2:33:38 +0100

kchmviewer (1.2a-1) unstable; urgency=low

  [ Tommaso Moroni ]
  * Initial packaging, incomplete

  [ Jose Luis Tallon ]
  * Initial release
    - Fixed to use libchm instead of chmlib
    - Added icons and manpage (1.2 -> 1.2a)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat,  10 Dec 2005 18:48:17 +0100

=== debian/control ===
Source: kchmviewer-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: debhelper (>= 5.0.0), quilt, kdelibs4-trinity-dev, libchm-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://www.kchmviewer.net/

Package: kchmviewer-trinity
Architecture: any
Conflicts: kchmviewer-nokde-trinity
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CHM viewer for Trinity
 KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
 Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
 library, and does not depend on KDE or GNOME. However, it may be compiled
 with full Trinity support, including Trinity widgets and KIO/KHTML. 
 .
 The main advantage of KchmViewer is non-English language support. Unlike
 others, KchmViewer in most cases correctly detects help file encoding,
 correctly shows tables of context of Russian, Korean, Chinese and Japanese
 help files, and correctly searches in non-English help files (search for
 MBCS languages - ja/ko/ch is still in progress).
 .
 Completely safe and harmless. Does not support JavaScript in any way,
 optionally warns you before opening an external web page, or switching to
 another help file. Shows an appropriate image for every TOC entry. 
 .
 KchmViewer Has complete chm index support, including multiple index entries,
 cross-links and parent/child entries in index as well as Persistent bookmarks
 support. Correctly detects and shows encoding of any valid chm file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

CONFIGURE_OPTIONS_KDE = \
	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib \
	--includedir=/opt/trinity/include/kde --mandir=/opt/trinity/share/man \
	--with-qt-dir=$(qtdir) \
	--sysconfdir=$(sysconfdir) \
	--infodir=/opt/trinity/share/info \
	--disable-debug --disable-rpath \
	--with-kde

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

-include debian/debiandirs

build: debian/build-kde

debian/build-kde:
	dh_testdir
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
#	automake
#	autoconf
	test -e config.sub -a -L config.sub || \
		ln -sf /usr/share/misc/config.sub config.sub
	test -e config.guess -a -L config.guess || \
		ln -sf /usr/share/misc/config.guess config.guess

	mkdir build-kde && cd build-kde && ../configure CFLAGS="$(CFLAGS)" $(CONFIGURE_OPTIONS_KDE)
	$(MAKE) -C build-kde
	touch debian/build-kde

clean:
	dh_testdir
	dh_testroot
	$(RM) -f build-stamp 
	$(RM) -rf debian/kchmviewer
	$(RM) -rf build-kde
	$(RM) -f debian/build-kde
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) config.sub config.guess
	dh_clean 

install: build install-common debian/install-kde
install-common:
	dh_testdir
	dh_clean -k 
	dh_installdirs

debian/install-kde:
	dh_testroot
	$(MAKE) -C build-kde install DESTDIR=$(CURDIR)/debian/kchmviewer-trinity
	$(MAKE) -C build-kde/src/pics install DESTDIR=$(CURDIR)/debian/kchmviewer-trinity
	mkdir -p $(CURDIR)/debian/kchmviewer-trinity/opt/trinity/share/man
	cp -Rp $(CURDIR)/debian/additions/kchmviewer.1 $(CURDIR)/debian/kchmviewer-trinity/opt/trinity/share/man/kchmviewer.1

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installmime
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kchmviewer-trinity 14.0.4

=== debian/changelog ===
kchmviewer-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:13:45 +0200

## kchmviewer-trinity 14.0.5

=== debian/changelog ===
kchmviewer-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:20:31 +0200

## kchmviewer-trinity 14.0.6

=== debian/changelog ===
kchmviewer-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:17:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: kchmviewer-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: debhelper (>= 5.0.0), quilt, kdelibs4-trinity-dev, libchm-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, tdelibs14-trinity-dev, libchm-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kchmviewer.net/
 
 Package: kchmviewer-trinity
 Architecture: any
 Conflicts: kchmviewer-nokde-trinity
+Replaces: kchmviewer-kde3 (<< 4:14.0.0~), kchmviewer-trinity (<< 4:14.0.0~)
+Breaks: kchmviewer-kde3 (<< 4:14.0.0~), kchmviewer-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CHM viewer for Trinity
  KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
  Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
- library, and does not depend on KDE or GNOME. However, it may be compiled
- with full Trinity support, including Trinity widgets and KIO/KHTML. 
+ library, and does not depend on TDE, KDE or GNOME. However, it may be compiled
+ with full Trinity support, including Trinity widgets and KIO/TDEHTML. 
  .
  The main advantage of KchmViewer is non-English language support. Unlike
  others, KchmViewer in most cases correctly detects help file encoding,

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,11 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+-include debian/debiandirs
+
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -27,10 +23,10 @@
 
 CFLAGS = -Wall -g
 
-CONFIGURE_OPTIONS_KDE = \
+CONFIGURE_OPTIONS_TDE = \
 	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib \
-	--includedir=/opt/trinity/include/kde --mandir=/opt/trinity/share/man \
+	--includedir=/opt/trinity/include/tde --mandir=/opt/trinity/share/man \
 	--with-qt-dir=$(qtdir) \
 	--sysconfdir=$(sysconfdir) \
 	--infodir=/opt/trinity/share/info \
@@ -43,27 +39,29 @@
 	CFLAGS += -O2
 endif
 
--include debian/debiandirs
-
 build: debian/build-kde
 
 debian/build-kde:
 	dh_testdir
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
-	
+	cp -p /usr/share/misc/config.sub admin/config.sub
+	cp -p /usr/share/misc/config.guess admin/config.guess
+
 	make -f admin/Makefile.common cvs
 #	automake
 #	autoconf
-	test -e config.sub -a -L config.sub || \
-		ln -sf /usr/share/misc/config.sub config.sub
-	test -e config.guess -a -L config.guess || \
-		ln -sf /usr/share/misc/config.guess config.guess
 
-	mkdir build-kde && cd build-kde && ../configure CFLAGS="$(CFLAGS)" $(CONFIGURE_OPTIONS_KDE)
+	[ -d build-kde ] || mkdir build-kde
+	cd build-kde && ../configure CFLAGS="$(CFLAGS)" $(CONFIGURE_OPTIONS_TDE)
 	$(MAKE) -C build-kde
 	touch debian/build-kde

## kchmviewer-trinity 14.0.8

=== debian/changelog ===
kchmviewer-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, tdelibs14-trinity-dev, libchm-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, libchm-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kchmviewer.net/

## kchmviewer-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kchmviewer )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -41,17 +41,17 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
-option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
-option( WITH_TDE "Build with TDE itegration instead of standalone TQt" ${WITH_ALL_OPTIONS}          )
-option( WITH_CHMLIB "Build with external chmlib" ${WITH_ALL_OPTIONS}                                )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
+option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden"   ${WITH_ALL_OPTIONS} )
+option( WITH_TDE            "Build with TDE itegration instead of standalone TQt" ${WITH_ALL_OPTIONS} )
+option( WITH_CHMLIB         "Build with external chmlib"                          ${WITH_ALL_OPTIONS} )
 
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON                             )
-option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
-option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+option( BUILD_ALL          "Build all" ON )
+option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
+option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )
 
 
 ##### configure checks
@@ -72,8 +72,8 @@
 
 add_subdirectory( lib )
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

=== doc/CMakeLists.txt ===

if( WITH_TDE )

string( REGEX REPLACE "[ \r\n\t]+" ";" _linguas "$ENV{LINGUAS}" )

# base documentation
file( GLOB _dirs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
list( REMOVE_ITEM _dirs html man tdeioslave )

foreach( _dir IN LISTS _dirs )
  if( IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_dir}
      AND ( "${_dir}" STREQUAL "en" OR
            "${_linguas}" MATCHES "^;*$" OR
            ";${_linguas};" MATCHES ";${_dir};" ))
    file( GLOB _doc_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/${_dir} ${_dir}/*.docbook )
    if( _doc_files )
      list( FIND _doc_files "index.docbook" _find_index )
      if( -1 EQUAL _find_index )
        set( _noindex "NOINDEX" )
      else()
        unset( _noindex )
      endif()
      tde_create_handbook(
        SOURCE_BASEDIR ${_dir}
        ${_noindex}
        LANG ${_dir}
        DESTINATION ${PROJECT_NAME}
      )
    endif()
  endif()
endforeach()


# tdeioslave documentation
file( GLOB _dirs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/tdeioslave tdeioslave/*/* )

foreach( _dir IN LISTS _dirs )
  get_filename_component( _lang ${_dir} PATH )
  get_filename_component( _protocol ${_dir} NAME )
  if( IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/tdeioslave/${_dir}
      AND NOT "${_lang}" STREQUAL "man"
      AND ( "${_lang}" STREQUAL "en" OR
            "${_linguas}" MATCHES "^;*$" OR
            ";${_linguas};" MATCHES ";${_lang};" ))
    file( GLOB _doc_files
          RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/tdeioslave/${_dir}
          tdeioslave/${_dir}/*.docbook )
    if( _doc_files )
      list( FIND _doc_files "index.docbook" _find_index )
      if( -1 EQUAL _find_index )
        set( _noindex "NOINDEX" )
      else()
        unset( _noindex )
      endif()
      tde_create_handbook(
        SOURCE_BASEDIR tdeioslave/${_dir}
        ${_noindex}
        LANG ${_lang}
        DESTINATION tdeioslave/${_protocol}
      )
    endif()
  endif()
endforeach()

endif( WITH_TDE )


if( EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/man/CMakeLists.txt )
  add_subdirectory( man )
endif()

=== debian/changelog ===
kchmviewer-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Oct 2020 22:36:43 +0200

## kchmviewer-trinity 14.0.10

=== debian/changelog ===
kchmviewer-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kchmviewer-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
 Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, libchm-dev
 Standards-Version: 3.8.4

## kchmviewer-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kchmviewer )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -72,8 +72,14 @@
 
 add_subdirectory( lib )
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+if( WITH_TDE )
+  tde_conditional_add_project_docs( BUILD_DOC )
+  tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
+endif()
 
 
 ##### write configure files

=== debian/changelog ===
kchmviewer-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 21:47:37 +0200

## kchmviewer-trinity 14.0.12

=== debian/changelog ===
kchmviewer-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 13 Mar 2022 23:51:19 +0100

## kchmviewer-trinity 14.0.13

=== debian/changelog ===
kchmviewer-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Oct 2022 06:57:49 +0200

## kchmviewer-trinity 14.1.0

=== debian/changelog ===
kchmviewer-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kchmviewer-trinity 14.1.1

=== debian/changelog ===
kchmviewer-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Jul 2023 03:58:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, libchm-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libchm-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kchmviewer.net/
 
 Package: kchmviewer-trinity
 Architecture: any
 Conflicts: kchmviewer-nokde-trinity
-Replaces: kchmviewer-kde3 (<< 4:14.0.0~), kchmviewer-trinity (<< 4:14.0.0~)
-Breaks: kchmviewer-kde3 (<< 4:14.0.0~), kchmviewer-trinity (<< 4:14.0.0~)
+Replaces: kchmviewer-trinity (<< 4:14.0.0~)
+Breaks: kchmviewer-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CHM viewer for Trinity
  KchmViewer is a chm (MS HTML help file format) viewer, written in C++.

## kchmviewer-trinity 14.1.2

=== debian/changelog ===
kchmviewer-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:52 +0200

## kchmviewer-trinity 14.1.3

=== debian/changelog ===
kchmviewer-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:40:51 +0200

## kchmviewer-trinity 14.1.4

=== debian/changelog ===
kchmviewer-trinity (4:14.1.4-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libchm-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libchm-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kchmviewer.net/
 
 Package: kchmviewer-trinity
 Architecture: any
 Conflicts: kchmviewer-nokde-trinity
-Replaces: kchmviewer-trinity (<< 4:14.0.0~)
-Breaks: kchmviewer-trinity (<< 4:14.0.0~)
+Replaces: kchmviewer-kde3 (<< 4:14.0.0~), kchmviewer-trinity (<< 4:14.0.0~)
+Breaks: kchmviewer-kde3 (<< 4:14.0.0~), kchmviewer-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CHM viewer for Trinity
  KchmViewer is a chm (MS HTML help file format) viewer, written in C++.

## kchmviewer-trinity 14.1.5~pre3

=== debian/changelog ===
kchmviewer-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for f02aa21b7283fbcd69e83d26d1c655c50b78633d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kchmviewer-trinity 14.1.5

=== src/CMakeLists.txt ===
add_subdirectory( pics )
tde_conditional_add_subdirectory( WITH_TDE tde )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CHMLIB_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/lib/libchmfile
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kchmviewer (executable)

if( WITH_TDE )
  set( BASE_LIBRARIES
     tdecore-shared
     tdeui-shared
     tdeio-shared
  )
  set( TDEEXTRA_LIBRARIES kdeextra-static )
else( )
  set( BASE_LIBRARIES ${TQT_LIBRARIES} )
  set( TDEEXTRA_LIBRARIES "" )
endif( )

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        kchmsetupdialog.ui
        iconstorage.cpp
        kchmbookmarkwindow.cpp
        kchmconfig.cpp
        kchmindexwindow.cpp
        kchmmainwindow.cpp
        kchmsearchtoolbar.cpp
        kchmsearchwindow.cpp
        kchmsettings.cpp
        kchmsourcefactory.cpp
        kchmtreeviewitem.cpp
        kchmviewwindow.cpp
        main.cpp
        kchmdialogchooseurlfromlist.cpp
        tde-tqt.cpp
        kchmviewwindow_qtextbrowser.cpp
        kqtempfile.cpp
        kchmnavtoolbar.cpp
        kchmviewwindowmgr.cpp
        kchmkeyeventfilter.cpp
        kchmcontentswindow.cpp
        kchmsearchengine_impl.cpp
        kchmsearchengine.cpp
        kchmsetupdialog_impl.cpp
  LINK
     ${BASE_LIBRARIES}
     ${TDEEXTRA_LIBRARIES}
     chmfile-static
     ${CHMLIB_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )

=== debian/changelog ===
kchmviewer-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kchmviewer-trinity 14.1.6~pre0

=== debian/changelog ===
kchmviewer-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f02aa21b7283fbcd69e83d26d1c655c50b78633d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kchmviewer-trinity 14.1.6~pre1

=== debian/changelog ===
kchmviewer-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a245be1a570856527515d6928fc9d361035c86d8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:20:45 +0100

## kchmviewer-trinity 14.1.6~pre2

=== debian/changelog ===
kchmviewer-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for fbffe9fe76a2a33491265edd83e14de92860d30f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 13:17:47 +0100

## kchmviewer-trinity 14.2.0~pre27

=== lib/CMakeLists.txt ===
add_subdirectory( libchmfile  )
tde_conditional_add_subdirectory( USE_BUILTIN_CHMLIB chmlib )
tde_conditional_add_subdirectory( WITH_TDE tdeio-msits )

=== lib/libchmfile/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CHMLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### chmfile (static)

tde_add_library( chmfile STATIC_PIC

  SOURCES
        libchmfile.cpp
        libchmfile_search.cpp
        libchmfileimpl.cpp
        libchmtextencoding.cpp
        libchmtocimage.cpp
)

=== debian/changelog ===
kchmviewer-trinity (4:14.2.0~pre27-0debian12.0.0+6) bookworm; urgency=low

  * Automated git build for 741cc8f3adaeb12c5cfd9341587481d56bcfe2ae
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libchm-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libchm-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kchmviewer.net/
 
 Package: kchmviewer-trinity
 Architecture: any
 Conflicts: kchmviewer-nokde-trinity
-Replaces: kchmviewer-kde3 (<< 4:14.0.0~), kchmviewer-trinity (<< 4:14.0.0~)
-Breaks: kchmviewer-kde3 (<< 4:14.0.0~), kchmviewer-trinity (<< 4:14.0.0~)
+Replaces: kchmviewer-trinity (<< 4:14.0.0~)
+Breaks: kchmviewer-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CHM viewer for Trinity
  KchmViewer is a chm (MS HTML help file format) viewer, written in C++.

## kchmviewer-trinity 14.2.0~pre28

=== debian/changelog ===
kchmviewer-trinity (4:14.2.0~pre28-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for dd4a50496931ac434ee95dc7442c4be7dbb55a74
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:14:11 +0100

## kchmviewer-trinity 14.2.0~pre29

=== debian/changelog ===
kchmviewer-trinity (4:14.2.0~pre29-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 99386f168214c8214e6eafb21ff42d930be54dac
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kchmviewer

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Jan 2026 01:55:04 +0100
